Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer.webcontainer
Class PicoServletHolder

    java.lang.Object
      org.mortbay.component.AbstractLifeCycle
          org.mortbay.jetty.servlet.Holder
              org.mortbay.jetty.servlet.ServletHolder
                  org.nanocontainer.webcontainer.PicoServletHolder

All Implemented Interfaces:
  Serializable, Comparable, org.mortbay.component.LifeCycle

    public class PicoServletHolder

extends org.mortbay.jetty.servlet.ServletHolder

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mortbay.jetty.servlet.Holder
`_class, _className, _displayName, _extInstance, _initParams, _name, _servletHandler`

Constructor Summary
`PicoServletHolder(Class clazz, org.picocontainer.PicoContainer parentContainer)`
`PicoServletHolder(org.picocontainer.PicoContainer parentContainer)`

Method Summary
`Object` | `newInstance()`

Methods inherited from class org.mortbay.jetty.servlet.ServletHolder
`compareTo, doStart, doStop, equals, getForcedPath, getInitOrder, getRunAs, getServlet, getUserRoleLink, handle, hashCode, setForcedPath, setInitOrder, setRunAs, setServlet, setUserRoleLink`

Methods inherited from class org.mortbay.jetty.servlet.Holder
`getClassName, getDisplayName, getHeldClass, getInitParameter, getInitParameterNames, getInitParameters, getName, getServletHandler, setClassName, setDisplayName, setHeldClass, setInitParameter, setInitParameters, setName, setServletHandler, toString`

Methods inherited from class org.mortbay.component.AbstractLifeCycle
`isFailed, isRunning, isStarted, isStarting, isStopping, start, stop`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PicoServletHolder

    public PicoServletHolder(org.picocontainer.PicoContainer parentContainer)

### PicoServletHolder

    public PicoServletHolder(Class clazz,
                             org.picocontainer.PicoContainer parentContainer)

Method Detail

### newInstance

    public Object newInstance()
                       throws InstantiationException,
                              IllegalAccessException

  Overrides:
    `newInstance` in class `org.mortbay.jetty.servlet.Holder`
  Throws:
    `InstantiationException`
    `IllegalAccessException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.